
<div class="fieldset-legend">
	<p-accordion class="filter-accordion">
		<p-accordionTab header="Filter" [selected]="true">
			<div class="row">
				<div class="col-md-6">
					<div class="form-group">
						<label class="form-control-label">Tanggal Pengajuan</label>
						<div class="row">
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-md-6">
					<div class="form-group">
						<label>Status</label>
						<select class="form-control" id="field_statusType" name="statusType">
							<option [ngValue]="null"></option>
							<option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
						</select>
					</div>
				</div>
				<div class="col-md-6">
					<div class="form-group">
						<label>Market Name</label>
						<select class="form-control" id="field_marketName" name="sales">
							<option [ngValue]="null"></option>
							<option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
						</select>
					</div>
				</div>
			</div>
			<div class="btn-filter-wrapper">
				<button type="button" class="btn btn-primary btn-filter">
					<span>Filter</span>
				</button>
			</div>      
		</p-accordionTab>
	</p-accordion>

	<p-dataTable
		[value]="vehicleDocumentRequirementsCancel"
		[editable]="true"
		[rows]="itemsPerPage"
		[paginator]="true"
		[pageLinks]="5"
		[rowsPerPageOptions]="[10,15,20]"
		[totalRecords]="totalItems"
		[responsive]="true"
		[lazy]="true"
		dataKey="idRequirement"
		expandableRows="false"
		(onLazyLoad)="loadDataLazy($event)"
		(onEditComplete)="updateRowData($event)">
		<p-header>
			<div>

			</div>
		</p-header>
		<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
		<p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
			<ng-template let-rowIndex="rowIndex" pTemplate="body">
				{{rowIndex + 1}}
			</ng-template>
		</p-column>
		<p-column header="No. Pengajuan">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.submissionNo}}
			</ng-template>
		</p-column>
		<p-column header="Tgl Pengajuan">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.dateSubmission}}
			</ng-template>
		</p-column>
		<p-column header="No. IVU">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}} -->
			</ng-template>
		</p-column>
		<p-column header="No. Rangka">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicle.idFrame}}
			</ng-template>
		</p-column>
		<p-column header="No. Mesin">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicle.idMachine}}
			</ng-template>
		</p-column>
		<p-column header="No. VSO">
			<ng-template let-rowData="rowData" pTemplate="body">
				<!-- {{rowData.salesUnitRequirement.requirementNumber}} -->
			</ng-template>
		</p-column>
		<p-column header="Nama STNK">
			<ng-template let-rowData="rowData" pTemplate="body">
				<div *ngIf="!rowData.organizationOwner">
					{{rowData.personOwner.name }}
				</div>
				<div *ngIf="rowData.organizationOwner">
					{{rowData.organizationOwner.name }}
				</div>	
			</ng-template>
		</p-column>
		<p-column header="Note">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.note}}
			</ng-template>
		</p-column>
		<p-column header="{{'mpmApp.requirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
			<ng-template let-rowData="rowData" pTemplate="body">
				<a [routerLink]="['../isi-nama/detail/'+ rowData.idRequirement]">Detail</a>
				<a (click)="doCancel(rowData.idRequirement)">Cancel</a>
			</ng-template>
		</p-column>
		<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
		</ng-template>
	</p-dataTable>
</div>